package org.apache.ws.resource.impl;

import org.apache.ws.resource.properties.NamespaceVersionHolder;


/**
 * An exception to be thrown when a version is unknown...This can be used to help flush out incomplete
 * version upgrades.
 *
 * @author Sal Campana
 */
public class UnsupportedVersionException extends RuntimeException
{


    public UnsupportedVersionException(NamespaceVersionHolder namespaces)
    {
        super("The NamespaceVersionHolder implementation in " + namespaces.getClass().getPackage().getName() + " is unsupported.");
    }
}
