/*=============================================================================*
 *  Copyright 2005 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.metadataexchange.v2004_09.porttype;

import org.apache.ws.resource.metadataexchange.v2004_09.MetadataExchangeConstants;
import org.xmlsoap.schemas.ws.x2004.x09.mex.GetMetadataDocument;
import org.xmlsoap.schemas.ws.x2004.x09.mex.MetadataDocument;
import org.xmlsoap.schemas.ws.x2004.x09.mex.AnyXmlType;

import javax.xml.namespace.QName;

/**
 * The WS-MEX MetadataExchange portType.
 */
public interface MetadataExchangePortType
{
    QName NAME = new QName( MetadataExchangeConstants.NSURI, "MetadataExchange", MetadataExchangeConstants.NSPREFIX );

    MetadataDocument getMetadata( GetMetadataDocument request);

    AnyXmlType get();
}
