package org.apache.ws.resource.properties.v2004_11.impl;

import org.apache.axis.message.addressing.Constants;
import org.apache.ws.resource.faults.v2004_11.FaultsConstants;
import org.apache.ws.resource.lifetime.v2004_11.ResourceLifetimeConstants;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.resource.properties.v2004_11.ResourcePropertiesConstants;
import org.apache.ws.resource.servicegroup.v2004_11.ServiceGroupConstants;
import org.apache.ws.resource.metadataexchange.v2004_09.MetadataExchangeConstants;


/**
 * @author Sal Campana
 */
public class NamespaceVersionHolderImpl implements NamespaceVersionHolder
{

    public String getPropertiesXsdNamespace()
    {
        return ResourcePropertiesConstants.NSURI_WSRP_SCHEMA;
    }

    public String getLifetimeXsdNamespace()
    {
        return ResourceLifetimeConstants.NSURI_WSRL_SCHEMA;
    }

    public String getBaseFaultsXsdNamespace()
    {
        return FaultsConstants.NSURI_BASEFAULTS_SCHEMA;
    }

    public String getAddressingNamespace()
    {
        return Constants.NS_URI_ADDRESSING_2004_08;
    }

    public String getServiceGroupsXsdNamespace()
    {
        return ServiceGroupConstants.NSURI_WSSG_SCHEMA;
    }

    public String getMetadataExchangeNamespace()
    {
        return MetadataExchangeConstants.NSURI;
    }
}
