/*=============================================================================*
 *  Copyright 2005 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.metadataexchange.v2004_09;

/**
 * @author Sal Campana
 */
public class MetadataExchangeConstants
{
    /**
     * The namespace URI
     */
    public static final String NSURI = "http://schemas.xmlsoap.org/ws/2004/09/mex";

    /**
     * The prefix to be used
     */
    public static final String NSPREFIX = "wsmex";

    /**
     * wsa:Action URI for Get request
     */
    public static final String ACTION_GET = NSURI + "/Get/Request";

    /**
     * wsa:Action URI for GetMetadata request
     */
    public static final String ACTION_GETMETADATA = NSURI + "/GetMetadata/Request";
    
}
